### Method

# ECal ComponentAlarm set_uid

since: 3.34

#### Declaration [src]

    void
    e_cal_component_alarm_set_uid (
      ECalComponentAlarm* alarm,
      const gchar* uid
    )

#### Description [src]

Set the `alarm` UID, or generates a new UID, if `uid` is `NULL` or an empty string.

Available since: 3.34

#### Parameters

`uid`

  Type: `const gchar*`

  A UID to set, or `NULL` or empty string to generate new.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.